Package org.bukkit.configuration

# Class MemoryConfigurationOptions

java.lang.Object
org.bukkit.configuration.ConfigurationOptions
org.bukkit.configuration.MemoryConfigurationOptions

Direct Known Subclasses:
  `FileConfigurationOptions`

public class MemoryConfigurationOptions extends ConfigurationOptions
Various settings for controlling the input and output of a `MemoryConfiguration`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`MemoryConfigurationOptions(@NotNull MemoryConfiguration configuration)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull MemoryConfiguration`
`configuration()`
Returns the `Configuration` that this object is responsible for.
`@NotNull MemoryConfigurationOptions`
`copyDefaults(boolean value)`
Sets if the `Configuration` should copy values from its default `Configuration` directly.
`@NotNull MemoryConfigurationOptions`
`pathSeparator(char value)`
Sets the char that will be used to separate `ConfigurationSection`s

### Methods inherited from class org.bukkit.configuration.ConfigurationOptions

`copyDefaults, pathSeparator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MemoryConfigurationOptions

protected MemoryConfigurationOptions(@NotNull @NotNull MemoryConfiguration configuration)

## Method Details

### configuration

@NotNull public @NotNull MemoryConfiguration configuration()
Description copied from class: `ConfigurationOptions`
Returns the `Configuration` that this object is responsible for.

Overrides:
  `configuration` in class `ConfigurationOptions`
Returns:
  Parent configuration

### copyDefaults

@NotNull public @NotNull MemoryConfigurationOptions copyDefaults(boolean value)
Description copied from class: `ConfigurationOptions`
Sets if the `Configuration` should copy values from its default `Configuration` directly.

If this is true, all values in the default Configuration will be directly copied, making it impossible to distinguish between values that were set and values that are provided by default. As a result, `ConfigurationSection.contains(java.lang.String)` will always return the same value as `ConfigurationSection.isSet(java.lang.String)`. The default value is false.

Overrides:
  `copyDefaults` in class `ConfigurationOptions`
Parameters:
  `value` - Whether or not defaults are directly copied
Returns:
  This object, for chaining

### pathSeparator

@NotNull public @NotNull MemoryConfigurationOptions pathSeparator(char value)
Description copied from class: `ConfigurationOptions`
Sets the char that will be used to separate `ConfigurationSection`s

This value does not affect how the `Configuration` is stored, only in how you access the data. The default value is '.'.

Overrides:
  `pathSeparator` in class `ConfigurationOptions`
Parameters:
  `value` - Path separator
Returns:
  This object, for chaining